<?php
// ======================================================================
//
// AAI LOGIN WITH SHIBBOLETH HANDLING MULTIPLE ORGANIZATIONS
// 
// Boxes for all organizations with an input field for filter
//
// License: GNU GPL 3.0
// Source: https://git-repo.iml.unibe.ch/iml-open-source/login-aai
// ======================================================================

$sOut = '';
// $sOut.='<pre>'.print_r($aIdplist, 1).'</pre>';

if (is_array($aIdplist) && count($aIdplist)) {
    $sOut .= '<div id="filterbox"></div><br>';
    foreach ($aIdplist as $aEntry) {
        $sOut .= '<div class="idp">
                    <a href="' . $aEntry['url']. '">' . $aEntry['label'] . '<br>
                    <img src="' . $aEntry['image'] . '"><br>
                    </a>
                </div>'
                . "\n"
                ;
    }
    echo "$sOut<div style='clear:both'></div>";
} else {
    echo '<div class="msg error">No IDPs found in Discovery Feed.</div>';
}
